Anonymous Login
2019-04-24 19:27 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001688v3.4 Release (Current)[All Projects] Calendarpublic2019-01-03 12:53
ReporterThemoulos 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformN/AOSN/AOS VersionN/A
Product Version 
Target VersionFixed in Version 
Summary0001688: No Holidays in week_view
DescriptionIn Calendar-> Week View, only Sundays and Saturdays are shown. It does not take the "Holidays" module into account, if installed.
Steps To ReproduceInstall the "Holidays" module, define a holiday and see the week of that day.
Tagscalendar, holiday, third party module
Attached Files

-Relationships
+Relationships

-Notes

~0003772

Themoulos (reporter)

Please change lines 94 - 108 to

===========================================================================
<table border="0" cellspacing="1" cellpadding="2" width="100%" class="view week">
 <?php
 
 //$workingDays = explode(',', w2PgetConfig('cal_working_days')); //THEMOULOS: NO LONGER NEEDED

 $show_day = $this_week;
 
 $s = '';
 $s .= '<tr>';
 for ($i = 0; $i < 7; $i++) {
 
     //$class = (in_array($i, $workingDays)) ? 'workingDay' : 'otherDay'; //THEMOULOS: CHANGED IT TO THE NEXT LINE
     $class = ($show_day->isWorkingDay()) ? 'workingDay' : 'otherDay';
     $s .= '<td class="'.$class.'">';
     $dayStamp = $show_day->format(FMT_TIMESTAMP_DATE);
================================================================================

Function "isWorkingDay" is "Holiday"-module-aware and responds accordingly.

~0003863

caseydk (administrator)

Resolved as described:
https://github.com/web2project/web2project/commit/3298a6b38bb757f291eb65fa167d87f17ff80d92

I think there should be a similar patch for the month and year view so we have holidays marked everywhere.

I've also made some improvements to the Holiday module, available here:
https://github.com/web2project/web2project-holiday

~0003955

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2016-04-29 08:39 Themoulos New Issue
2016-04-29 08:45 Themoulos Note Added: 0003772
2016-06-14 13:21 opto Assigned To => opto
2016-06-14 13:21 opto Status new => assigned
2016-12-26 23:34 caseydk Project v3.3 Release => v3.4 Release (Current)
2016-12-29 22:37 caseydk Tag Attached: calendar
2016-12-29 22:37 caseydk Tag Attached: holiday
2016-12-29 22:37 caseydk Tag Attached: third party module
2016-12-29 23:48 caseydk Assigned To opto => caseydk
2016-12-29 23:48 caseydk Status assigned => resolved
2016-12-29 23:48 caseydk Resolution open => fixed
2016-12-29 23:48 caseydk Note Added: 0003863
2019-01-03 12:53 caseydk Note Added: 0003955
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History